Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::views::addressof_fn Struct Reference

## Synopsis of methods
constexpr view_closure< addressof_fn > | addressof {}

## Public Member Functions
template<typename Rng >
constexpr auto | operator() (Rng &&rng) const CPP_AUTO_FUN_RETURNS_CONST_0(return transform(all(static_cast< Rng && >(rng))

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

constexpr auto ranges::views::addressof_fn::operator() | ( | Rng && | rng | ) | const &&
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && std::is_lvalue_reference<range_reference_t<Rng>>::value` //